Manage public holiday sets and overrides
/api/v1/organisation/public-holiday-setsReturns configured public holiday country sets for the organisation.
curl https://api.offly.net/api/v1/organisation/public-holiday-sets \
-H "Authorization: Bearer YOUR_API_KEY"Do not use production API keys on shared devices. Keys are stored in memory only.
/api/v1/organisation/public-holiday-setsAdds a country's public holidays to the organisation.
| Field | Type | Description |
|---|---|---|
| country_code* | string |
| Field | Type | Description |
|---|---|---|
| id | string(uuid) | |
| country_code | string | |
| country_name | string | |
| holiday_count | integer | |
| created_at | string(date-time) |
curl -X POST https://api.offly.net/api/v1/organisation/public-holiday-sets \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Do not use production API keys on shared devices. Keys are stored in memory only.